package com.nickmacholl.minecraft.ChainWorld;
import org.bukkit.Bukkit;
import org.bukkit.ChatColor;
import org.bukkit.entity.Player;

public class Messager {
	
	public final ChainWorld plugin;
	
	public Messager(ChainWorld plugin){
		this.plugin = plugin;
	}

	public void sendConsoleMessage(String message){
		plugin.getLogger().info(message);
	}
	
	public void sendConsoleError(String message){
		plugin.getLogger().info("/!\\ " + message);
	}
	
	public void sendPlayerBroadcast(String message, ChatColor color){
		Player[] onlinePlayers = plugin.getServer().getOnlinePlayers();
		for(Player e: onlinePlayers){
			e.sendMessage(color + message);
		}
	}
	
	public void sendPlayerMessage(String message, Player p){
		p.sendMessage(message);
	}
	
	public String getDeathMessage(String deathmessage){
		String k = ChatColor.BOLD + "Player " + deathmessage + ". Thanks for playing!";
		return k;
	}
	
	public String getKickMessage(int index, Player p){
		String s = ChatColor.BOLD + Bukkit.getServerName() + " is running " + plugin.getName() + ".";
		LandLord l = new LandLord(plugin);
		
		switch (index){
		case 0:
			s += ChatColor.RESET +"\nOnly one player has access to the server at a given time.\n\n"
					+ ChatColor.GRAY + "If you wish to enter the queue, simply reconnect. There are " + l.getQueueSize() + " player(s) in line.";
			break;
		case 1:
			s += ChatColor.RESET + "\n\n"
					+ ChatColor.GOLD + "You have been added to the end of the queue. You are number " + l.getQueuePosition(p.getUniqueId().toString()) + " in line."
					+ "\nBe sure to check back frequently. Your turn is coming soon!";
			break;
		case 2:
			s += ChatColor.RESET + "\n\n"
					+ ChatColor.GOLD + "You are in the queue. Your position is " + l.getQueuePosition(p.getUniqueId().toString()) + " of " + l.getQueueSize() + "."
					+ "\nBe sure to check back frequently.";
			break;
		case 3:
			s += ChatColor.RESET + "\n\n"
					+ ChatColor.GOLD + "You are in the queue. Your position is " + l.getQueuePosition(p.getUniqueId().toString()) + " of " + l.getQueueSize() + "."
					+ "\nBe sure to check back frequently.";
			break;
		case 4:
			s += ChatColor.RESET + "\n\n"
					+ ChatColor.GOLD + "Your lease has expired! We hope to see you again soon!";
			break;
		default:
			break;
		}
		
		return s;
	}
	
}
